var $AdfDhtmlSelectManyCheckboxPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlSelectManyPeer$$, "AdfDhtmlSelectManyCheckboxPeer");
$goog$exportSymbol$$("AdfDhtmlSelectManyCheckboxPeer", $AdfDhtmlSelectManyCheckboxPeer$$);
$AdfDhtmlSelectManyCheckboxPeer$$.$InitSubclass$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfUIEditableValue.SUBMITTED_VALUE, AdfUISelectMany.$SELECT_ITEMS$, AdfRichSelectManyCheckbox.LABEL);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichSelectManyCheckbox.LABEL);
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$)
};
$goog$exportSymbol$$("AdfDhtmlSelectManyCheckboxPeer.InitSubclass", $AdfDhtmlSelectManyCheckboxPeer$$.$InitSubclass$);
$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$$HandleComponentClick$$($checkbox$$2_componentEvent$$358_value$$179$$) {
  $AdfDhtmlSelectManyCheckboxPeer$$.$superclass$.$HandleComponentClick$.call(this, $checkbox$$2_componentEvent$$358_value$$179$$);
  var $component$$1484$$ = this.$getComponent$();
  $checkbox$$2_componentEvent$$358_value$$179$$ = $checkbox$$2_componentEvent$$358_value$$179$$.$getNativeEventTarget$();
  "INPUT" == $AdfAgent$$.$AGENT$.$getNodeName$($checkbox$$2_componentEvent$$358_value$$179$$) && ($checkbox$$2_componentEvent$$358_value$$179$$ = this.$GetSubmittedValue$($component$$1484$$, $checkbox$$2_componentEvent$$358_value$$179$$), this.$Validate$($component$$1484$$, $checkbox$$2_componentEvent$$358_value$$179$$))
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyCheckboxPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetNoteWindowAlignmentNode$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$$GetNoteWindowAlignmentNode$$($component$$1485$$, $rootNode$$15$$) {
  $rootNode$$15$$ || ($rootNode$$15$$ = this.$getDomElement$());
  var $checkbox$$3$$ = $rootNode$$15$$.getElementsByTagName("input")[0];
  return $checkbox$$3$$ ? $checkbox$$3$$ : $AdfDhtmlSelectManyCheckboxPeer$$.$superclass$.$GetNoteWindowAlignmentNode$.call(this, $component$$1485$$, $rootNode$$15$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyCheckboxPeer.prototype.GetNoteWindowAlignmentNode", {$GetNoteWindowAlignmentNode$:$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetNoteWindowAlignmentNode$});
$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$$SetDisplayValue$$($boxes$$1_component$$1486$$, $domElement$$384_i$$418$$, $newValue$$119$$) {
  $AdfAssert$$.$assertDomElement$($domElement$$384_i$$418$$);
  $AdfAssert$$.$assertArray$($newValue$$119$$);
  if($boxes$$1_component$$1486$$ = this.$GetCheckboxes$($boxes$$1_component$$1486$$, $domElement$$384_i$$418$$)) {
    for($domElement$$384_i$$418$$ = 0;$domElement$$384_i$$418$$ < $boxes$$1_component$$1486$$.length;$domElement$$384_i$$418$$++) {
      var $cb$$2$$ = $boxes$$1_component$$1486$$[$domElement$$384_i$$418$$], $index$$136$$ = $AdfCollections$$.indexOf($newValue$$119$$, $cb$$2$$.value);
      $cb$$2$$.checked = 0 <= $index$$136$$
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyCheckboxPeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetLabelValue$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$$GetLabelValue$$($node$$100$$) {
  return $node$$100$$.parentNode.nextSibling.firstChild.nodeValue
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyCheckboxPeer.prototype.GetLabelValue", {$GetLabelValue$:$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetLabelValue$});
$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlSelectManyCheckboxPeer$$$$$GetInlineEditor$$() {
  return $AdfDhtmlSimpleLabelEditor$$.$getInlineEditor$()
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyCheckboxPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlSelectManyCheckboxPeer$$.prototype.$GetInlineEditor$});
